# FFmpegKit Linux API: ffmpegkit::ReturnCode Class Reference

ffmpegkit::ReturnCode Class Reference

`#include <ReturnCode.h>`

## Public Member Functions

| ReturnCode (const int value)
int | getValue () const
bool | isValueSuccess () const
bool | isValueError () const
bool | isValueCancel () const

## Static Public Member Functions

static bool | isSuccess (const std::shared_ptr< ffmpegkit::ReturnCode > value)
static bool | isCancel (const std::shared_ptr< ffmpegkit::ReturnCode > value)

## Static Public Attributes

static constexpr int | Success = 0
static constexpr int | Cancel = 255

## Private Attributes

int | _value

## Friends

std::ostream & | operator<< (std::ostream &out, const std::shared_ptr< ffmpegkit::ReturnCode > &o)

## Detailed Description

Definition at line 28 of file ReturnCode.h.

## Constructor & Destructor Documentation

## ReturnCode()

ffmpegkit::ReturnCode::ReturnCode | ( | const int | value | ) |

Definition at line 30 of file ReturnCode.cpp.

## Member Function Documentation

## getValue()

int ffmpegkit::ReturnCode::getValue | ( |  | ) | const

Definition at line 33 of file ReturnCode.cpp.

## isCancel()

bool ffmpegkit::ReturnCode::isCancel | ( | const std::shared_ptr< ffmpegkit::ReturnCode > | value | ) |

static

Definition at line 26 of file ReturnCode.cpp.

## isSuccess()

bool ffmpegkit::ReturnCode::isSuccess | ( | const std::shared_ptr< ffmpegkit::ReturnCode > | value | ) |

static

Definition at line 22 of file ReturnCode.cpp.

## isValueCancel()

bool ffmpegkit::ReturnCode::isValueCancel | ( |  | ) | const

Definition at line 45 of file ReturnCode.cpp.

## isValueError()

bool ffmpegkit::ReturnCode::isValueError | ( |  | ) | const

Definition at line 41 of file ReturnCode.cpp.

## isValueSuccess()

bool ffmpegkit::ReturnCode::isValueSuccess | ( |  | ) | const

Definition at line 37 of file ReturnCode.cpp.

## Friends And Related Function Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | out,
|  | const std::shared_ptr< ffmpegkit::ReturnCode > & | o
| ) |  |

friend

Definition at line 51 of file ReturnCode.cpp.

## Field Documentation

## _value

int ffmpegkit::ReturnCode::_value

private

Definition at line 44 of file ReturnCode.h.

## Cancel

constexpr int ffmpegkit::ReturnCode::Cancel = 255

staticconstexpr

Definition at line 31 of file ReturnCode.h.

## Success

constexpr int ffmpegkit::ReturnCode::Success = 0

staticconstexpr

Definition at line 30 of file ReturnCode.h.

The documentation for this class was generated from the following files:

- ReturnCode.h
- ReturnCode.cpp